var cupom = mapperFactory.createMapper("PdvVd");
var i = 0;
var coo = message.get("obj");
var itens = coo.get("itens");

try {
    cupom.insert("inserirCupom",coo); //INSERE PDV_VD

    for (i = 0; i < itens.size(); i++) {
       var item = itens.get(i);
       cupom.insert("inserirCupomItens",item); //INSERE PDV_VD_IT
    }
    
    cupom.commit();
}catch(err) {
	java.lang.System.out.println(err);
    cupom.rollback();
    throw " OCORREU UM ERRO ";
}
